View Issue Details

IDCategoryLast Update
0004112bugs2011-07-06 20:50
ReporterthefoxboxAssigned Topaul 
Reproducibilityalways 
Status resolvedResolutionno change required 
Product Version 
Fixed in Version 
Summary0004112: IR + lilv segmentation fault
Descriptiona3 svn 9717

1. create new session
2. add IR plugin to master bus
3. open IR gui
4. close IR gui
5. open IR gui

segmentation fault
Additional Information(gdb) run
Starting program: /usr/local/src/ardour/3.0/build/default/gtk2_ardour/ardour-3.0
[Thread debugging using libthread_db enabled]
Ardour3.0alpha6 (built using ['9710'] and GCC version 4.4.3)
Copyright (C) 1999-2011 Paul Davis
Some portions Copyright (C) Steve Harris, Ari Johnson, Brett Viren, Joel Baker

Ardour comes with ABSOLUTELY NO WARRANTY
not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
This is free software, and you are welcome to redistribute it
under certain conditions; see the source for copying conditions.
Cannot xinstall SIGPIPE error handler
ardour: [INFO]: Loading default ui configuration file ./../gtk2_ardour/ardour3_ui_default.conf
Loading user ui configuration file /home/efox/.config/ardour3/ardour3_ui.conf
ardour: [INFO]: Loading ui configuration file ./../build/default/gtk2_ardour/ardour3_ui_dark.rc
./../build/default/gtk2_ardour/ardour3_ui_dark.rc:345: Unable to find include file: "ardour3_dark_fonts.rc"
./../build/default/gtk2_ardour/ardour3_ui_dark.rc:346: Unable to find include file: "ardour3_dark_styles.rc"
./../build/default/gtk2_ardour/ardour3_ui_dark.rc:347: Unable to find include file: "ardour3_widgets.rc"
ardour: [INFO]: Ardour will be limited to 1024 open files
ardour: [INFO]: Loading system configuration file /usr/local/etc/ardour3/ardour_system.rc
Loading user configuration file /home/efox/.config/ardour3/ardour.rc
Using SSE optimized routines
[New Thread 0xb7d71b70 (LWP 18634)]
[New Thread 0xb7570b70 (LWP 18635)]
[New Thread 0xb6d6fb70 (LWP 18636)]
ardour: [INFO]: looking for panners in ./../build/default/libs/panners/2in2out:./../build/default/libs/panners/1in2out:./../build/default/libs/panners/vbap
ardour: [INFO]: Panner discovered: "Equal Power Stereo"
ardour: [INFO]: Panner discovered: "Mono to Stereo Panner"
ardour: [INFO]: Panner discovered: "VBAP 2D panner"
Callback to ardour.org ...
Current release is 2.8.11
Unusual local version: 3.0alpha6
[New Thread 0xb5728b70 (LWP 18637)]
[New Thread 0xb4f27b70 (LWP 18638)]
[New Thread 0xb4726b70 (LWP 18639)]
[Thread 0xb4726b70 (LWP 18639) exited]
[Thread 0xb5728b70 (LWP 18637) exited]
[New Thread 0xb5728b70 (LWP 18643)]
[Thread 0xb5728b70 (LWP 18643) exited]
[New Thread 0xb5728b70 (LWP 18645)]
VST_PATH not set, defaulting to /home/efox/vst:/usr/local/lib/vst:/usr/lib/vst
LV2: Discovering 10 plugins
Done LV2 discovery
[New Thread 0xb3bdeb70 (LWP 18650)]
[New Thread 0xb3a5db70 (LWP 18651)]
[New Thread 0xb39dcb70 (LWP 18652)]
[New Thread 0xb3702c90 (LWP 18653)]
[New Thread 0xb4726b70 (LWP 18654)]
[New Thread 0xb3612c90 (LWP 18655)]
[New Thread 0xb3538b70 (LWP 18658)]
[New Thread 0xb2d37b70 (LWP 18659)]
[Thread 0xb2d37b70 (LWP 18659) exited]
[New Thread 0xb2d37b70 (LWP 18660)]
[New Thread 0xb23ffb70 (LWP 18661)]
[Thread 0xb3538b70 (LWP 18658) exited]
[Thread 0xb2d37b70 (LWP 18660) exited]
[Thread 0xb23ffb70 (LWP 18661) exited]
SHOW UI http://factorial.hu/plugins/lv2/ir editor: 1
[New Thread 0xb23ffb70 (LWP 18663)]
[Thread 0xb23ffb70 (LWP 18663) exited]

(ardour-3.0:18631): GLib-GObject-WARNING **: cannot register existing type `IRWaveDisplay'

(ardour-3.0:18631): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(ardour-3.0:18631): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed

(ardour-3.0:18631): Gtk-CRITICAL **: gtk_box_pack: assertion `GTK_IS_WIDGET (child)' failed

(ardour-3.0:18631): GLib-GObject-WARNING **: cannot register existing type `IRModeInd'

(ardour-3.0:18631): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(ardour-3.0:18631): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed

(ardour-3.0:18631): Gtk-CRITICAL **: gtk_widget_set_size_request: assertion `GTK_IS_WIDGET (widget)' failed

(ardour-3.0:18631): Gtk-CRITICAL **: gtk_box_pack: assertion `GTK_IS_WIDGET (child)' failed

(ardour-3.0:18631): GLib-GObject-WARNING **: cannot register existing type `IRMeter'

(ardour-3.0:18631): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(ardour-3.0:18631): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed

(ardour-3.0:18631): Gtk-CRITICAL **: gtk_widget_set_size_request: assertion `GTK_IS_WIDGET (widget)' failed

(ardour-3.0:18631): Gtk-CRITICAL **: gtk_box_pack: assertion `GTK_IS_WIDGET (child)' failed
[Thread 0xb4f27b70 (LWP 18638) exited]
^C
Program received signal SIGINT, Interrupt.
0x0012d422 in __kernel_vsyscall ()
(gdb) thread apply all bt

Thread 15 (Thread 0xb3612c90 (LWP 18655)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x010aa736 in nanosleep () from /lib/tls/i686/cmov/libpthread.so.0
#2 0x01127a62 in g_usleep () from /lib/libglib-2.0.so.0
#3 0x013b22ad in Glib::usleep(unsigned long) ()
   from /usr/lib/libglibmm-2.4.so.1
0000004 0x005a3be4 in ARDOUR::AudioEngine::meter_thread() ()
   from ./../build/default/libs/ardour/libardour.so.3
0000005 0x005a6cbc in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) ()
   from ./../build/default/libs/ardour/libardour.so.3
#6 0x013a5eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
#7 0x01124def in ?? () from /lib/libglib-2.0.so.0
0000008 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000009 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb4726b70 (LWP 18654)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x022c5b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2 0x0110b4eb in g_poll () from /lib/libglib-2.0.so.0
#3 0x010fe0ac in ?? () from /lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
0000004 0x010fe817 in g_main_loop_run () from /lib/libglib-2.0.so.0
0000005 0x013ab4b5 in Glib::MainLoop::run() () from /usr/lib/libglibmm-2.4.so.1
#6 0x0019d205 in BaseUI::main_thread() ()
   from ./../build/default/libs/pbd/libpbd.so.4
#7 0x0019daec in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) ()
   from ./../build/default/libs/pbd/libpbd.so.4
0000008 0x013a5eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
0000009 0x01124def in ?? () from /lib/libglib-2.0.so.0
0000010 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb3702c90 (LWP 18653)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x022c5b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2 0x005f7697 in ARDOUR::Butler::thread_work() ()
   from ./../build/default/libs/ardour/libardour.so.3
#3 0x005f86c7 in ARDOUR::Butler::_thread_work(void*) ()
   from ./../build/default/libs/ardour/libardour.so.3
0000004 0x001c48bd in fake_thread_start(void*) ()
   from ./../build/default/libs/pbd/libpbd.so.4
0000005 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6
---Type <return> to continue, or q <return> to quit---

Thread 12 (Thread 0xb39dcb70 (LWP 18652)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x010a9245 in sem_wait@@GLIBC_2.1 ()
   from /lib/tls/i686/cmov/libpthread.so.0
#2 0x006b1fbf in ARDOUR::Graph::run_one() ()
   from ./../build/default/libs/ardour/libardour.so.3
#3 0x006b21e0 in ARDOUR::Graph::helper_thread() ()
   from ./../build/default/libs/ardour/libardour.so.3
0000004 0x006b426b in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) () from ./../build/default/libs/ardour/libardour.so.3
0000005 0x0059f4a8 in ARDOUR::AudioEngine::_start_process_thread(void*) ()
   from ./../build/default/libs/ardour/libardour.so.3
#6 0x0108e4f9 in jack_thread_proxy (varg=0x920d988) at thread.c:127
#7 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000008 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xb3a5db70 (LWP 18651)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x010a9245 in sem_wait@@GLIBC_2.1 ()
   from /lib/tls/i686/cmov/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#2 0x006b2ed0 in ARDOUR::Graph::restart_cycle() ()
   from ./../build/default/libs/ardour/libardour.so.3
#3 0x006b2f50 in ARDOUR::Graph::dec_ref() ()
   from ./../build/default/libs/ardour/libardour.so.3
0000004 0x006b576b in ARDOUR::GraphNode::finish(int) ()
   from ./../build/default/libs/ardour/libardour.so.3
0000005 0x006b2017 in ARDOUR::Graph::run_one() ()
   from ./../build/default/libs/ardour/libardour.so.3
#6 0x006b2e5f in ARDOUR::Graph::main_thread() ()
   from ./../build/default/libs/ardour/libardour.so.3
#7 0x006b426b in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) () from ./../build/default/libs/ardour/libardour.so.3
0000008 0x0059f4a8 in ARDOUR::AudioEngine::_start_process_thread(void*) ()
   from ./../build/default/libs/ardour/libardour.so.3
0000009 0x0108e4f9 in jack_thread_proxy (varg=0x920d898) at thread.c:127
0000010 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xb3bdeb70 (LWP 18650)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x022c5b86 in poll () from /lib/tls/i686/cmov/libc.so.6
---Type <return> to continue, or q <return> to quit---
#2 0x01088cba in jack_client_core_wait (client=0x8dad410) at client.c:1839
#3 0x01089042 in jack_cycle_wait (client=0x8dad410) at client.c:2036
0000004 0x005a3ab2 in ARDOUR::AudioEngine::process_thread() ()
   from ./../build/default/libs/ardour/libardour.so.3
0000005 0x005a3afb in ARDOUR::AudioEngine::_process_thread(void*) ()
   from ./../build/default/libs/ardour/libardour.so.3
#6 0x01089341 in jack_client_thread (arg=0x8dad410) at client.c:2161
#7 0x0108e4f9 in jack_thread_proxy (varg=0x91d1f28) at thread.c:127
0000008 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000009 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xb5728b70 (LWP 18645)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x010a7015 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
#2 0x0108ae94 in mb_thread_func (arg=0x0) at messagebuffer.c:72
#3 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000004 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xb6d6fb70 (LWP 18636)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x010a7015 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#2 0x013a53a8 in Glib::Cond::wait(Glib::Mutex&) ()
   from /usr/lib/libglibmm-2.4.so.1
#3 0x0054f04c in ARDOUR::Analyser::work() ()
   from ./../build/default/libs/ardour/libardour.so.3
0000004 0x0054f1f4 in analyser_work() ()
   from ./../build/default/libs/ardour/libardour.so.3
0000005 0x086a420a in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) ()
#6 0x013a5eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
#7 0x01124def in ?? () from /lib/libglib-2.0.so.0
0000008 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000009 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xb7570b70 (LWP 18635)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x010a7015 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
#2 0x013a53a8 in Glib::Cond::wait(Glib::Mutex&) ()
   from /usr/lib/libglibmm-2.4.so.1
#3 0x008e9ffc in peak_thread_work() ()
   from ./../build/default/libs/ardour/libardour.so.3
0000004 0x086a420a in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) ()
---Type <return> to continue, or q <return> to quit---
0000005 0x013a5eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
#6 0x01124def in ?? () from /lib/libglib-2.0.so.0
#7 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000008 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xb7d71b70 (LWP 18634)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x010a7015 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
#2 0x013a53a8 in Glib::Cond::wait(Glib::Mutex&) ()
   from /usr/lib/libglibmm-2.4.so.1
#3 0x008e9ffc in peak_thread_work() ()
   from ./../build/default/libs/ardour/libardour.so.3
0000004 0x086a420a in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) ()
0000005 0x013a5eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
#6 0x01124def in ?? () from /lib/libglib-2.0.so.0
#7 0x010a296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000008 0x022d3a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb7fcd780 (LWP 18631)):
#0 0x0012d422 in __kernel_vsyscall ()
0000001 0x010a7015 in pthread_cond_wait@@GLIBC_2.3.2 ()
---Type <return> to continue, or q <return> to quit---
   from /lib/tls/i686/cmov/libpthread.so.0
#2 0x01125a88 in g_once_init_enter_impl () from /lib/libglib-2.0.so.0
#3 0x03015258 in ir_meter_get_type () from /usr/lib/lv2/ir.lv2/ir_gui.so
0000004 0x030152d7 in ir_meter_new () from /usr/lib/lv2/ir.lv2/ir_gui.so
0000005 0x03011c22 in make_mixer_frame(control*) ()
   from /usr/lib/lv2/ir.lv2/ir_gui.so
#6 0x03013e93 in make_gui_proper(control*) ()
   from /usr/lib/lv2/ir.lv2/ir_gui.so
#7 0x03014120 in make_gui(control*) () from /usr/lib/lv2/ir.lv2/ir_gui.so
0000008 0x03014225 in instantiate(_LV2UI_Descriptor const*, char const*, char const*, void (*)(void*, unsigned int, unsigned int, unsigned int, void const*), void*, void**, _LV2_Feature const* const*) () from /usr/lib/lv2/ir.lv2/ir_gui.so
0000009 0x020c7e94 in suil_instance_new () from /usr/local/lib/libsuil-0.so.0
0000010 0x08871658 in LV2PluginUI::lv2ui_instantiate(std::string const&) ()
0000011 0x08871e8a in LV2PluginUI::on_window_show(std::string const&) ()
0000012 0x08648358 in PluginUIWindow::on_show() ()
0000013 0x01e243f7 in Gtk::Widget_Class::show_callback(_GtkWidget*) ()
   from /usr/lib/libgtkmm-2.4.so.1
0000014 0x013e5dcc in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#15 0x013d68b9 in ?? () from /usr/lib/libgobject-2.0.so.0
0000016 0x013d8252 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#17 0x013ec23a in ?? () from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
0000018 0x013eddb4 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
0000019 0x013ee256 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
0000020 0x01684502 in gtk_widget_show () from /usr/lib/libgtk-x11-2.0.so.0
0000021 0x01e18e16 in Gtk::Widget::show_all_vfunc() ()
   from /usr/lib/libgtkmm-2.4.so.1
0000022 0x01e2455a in Gtk::Widget_Class::show_all_vfunc_callback(_GtkWidget*) ()
   from /usr/lib/libgtkmm-2.4.so.1
0000023 0x01684242 in gtk_widget_show_all () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x01e21f36 in Gtk::Widget::show_all() () from /usr/lib/libgtkmm-2.4.so.1
0000025 0x086a21e0 in ProcessorBox::toggle_edit_processor(boost::shared_ptr<ARDOUR::Processor>) ()
0000026 0x086a2c80 in ProcessorBox::processor_button_press_event(_GdkEventButton*, ProcessorEntry*) ()
0000027 0x086a4040 in sigc::internal::slot_call2<sigc::bound_mem_functor2<bool, ProcessorBox, _GdkEventButton*, ProcessorEntry*>, bool, _GdkEventButton*, ProcessorEntry*>::call_it(sigc::internal::slot_rep*, _GdkEventButton* const&, ProcessorEntry* const&) ()
0000028 0x086ac99d in Gtkmm2ext::DnDVBox<ProcessorEntry>::button_press(_GdkEventButton*, ProcessorEntry*) ()
0000029 0x086a423c in sigc::internal::slot_call1<sigc::bind_functor<-1, sigc::bound_mem_functor2<bool, Gtkmm2ext::DnDVBox<ProcessorEntry>, _GdkEventButton*, ProcessorEntry*>, ProcessorEntry*, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, bool, _GdkEventButton*>::call_it(sigc::internal::slot_rep*, _GdkE---Type <return> to continue, or q <return> to quit---
ventButton* const&) ()
0000030 0x01e1cc32 in ?? () from /usr/lib/libgtkmm-2.4.so.1
0000031 0x0154f424 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
0000032 0x013d8252 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
0000033 0x013ecd90 in ?? () from /usr/lib/libgobject-2.0.so.0
0000034 0x013edc33 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
0000035 0x013ee256 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
0000036 0x0167c636 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
0000037 0x01547a5d in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
0000038 0x015490c7 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
0000039 0x0183d39a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
0000040 0x010fa5e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000041 0x010fe2d8 in ?? () from /lib/libglib-2.0.so.0
0000042 0x010fe817 in g_main_loop_run () from /lib/libglib-2.0.so.0
0000043 0x015493c9 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
0000044 0x01d933a7 in Gtk::Main::run_impl() () from /usr/lib/libgtkmm-2.4.so.1
0000045 0x01d931a2 in Gtk::Main::run() () from /usr/lib/libgtkmm-2.4.so.1
0000046 0x00afbcda in Gtkmm2ext::UI::run(Receiver&) ()
   from ./../build/default/libs/gtkmm2ext/libgtkmm2ext.so.0
0000047 0x0854b38f in main ()
(gdb)
(gdb)
(gdb)
TagsNo tags attached.

Relationships

has duplicate 0004141 resolvedpaul crashes when re-opening plugin windows 

Activities

thefoxbox

2011-06-13 00:33

reporter   ~0010871

lilv 0.4.4

thefoxbox

2011-06-13 04:35

reporter   ~0010872

Sorry, not a segmentation fault as title and note says. Ardour crashes and I have to force a quit.

paul

2011-06-14 22:47

administrator   ~0010884

i thought this was fixed with lilv 0.4.4 or is this a different bug?

thefoxbox

2011-06-15 02:42

reporter   ~0010888

Last edited: 2011-06-15 02:45

There was no gui displayed with lilv 0.4.2, which is what we initially discussed on IRC. After upgrading to lilv 0.4.4 as you suggested, the gui displayed properly on first open. However, trying to display the plugin a second time will cause a crash. So, I guess this is a different bug.

thefoxbox

2011-06-15 02:43

reporter   ~0010889

same issue with a3 svn 9735

thefoxbox

2011-07-05 19:44

reporter   ~0010977

Last edited: 2011-07-05 19:46

After a lot of trial and error, I was able to narrow this issue down to a single call to 'suil_instance_free' in LV2PluginUI::lv2_free() from gtk2_ardour/lv2_plugin_ui.cc.

The best way I can describe this is when building a3 with Lilv/Suil and using gui plugins, suil_instance_free is called on window hide and a dlclose() is performed on the plugin's library. IR expects that it's library remain open in order to avoid duplicate class initialization and failing type registration. It seems as though the LV2 required feature 'uiext:makeResident' defined by the plugin is not being considered(?).

For now, I have replaced suil_instance_free() in LV2PluginUI::lv2ui_free() with free((SuilInstance*)_inst) and am able to open/close the IR plugin gui multiple times, but it is a hack, and probably a bad one. :)

2011-07-05 20:39

 

backtrace (57,577 bytes)
efox@hopper:~$ /usr/local/src/ardour/3.0/gtk2_ardour/ardbg
GNU gdb (GDB) 7.1-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/local/src/ardour/3.0/build/default/gtk2_ardour/ardour-3.0...done.
(gdb) core-file core
[New Thread 11656]
[New Thread 11684]
[New Thread 11688]
[New Thread 11685]
[New Thread 11686]
[New Thread 11673]
[New Thread 11672]
[New Thread 11675]
[New Thread 11690]
[New Thread 11681]
[New Thread 11671]
[New Thread 11687]
[New Thread 11699]
[New Thread 11689]
[New Thread 11698]
warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/libcurl-gnutls.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libcurl-gnutls.so.4
Reading symbols from /lib/tls/i686/cmov/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/libdl.so.2
Reading symbols from /usr/local/lib/ardour3/libpbd.so.4...done.
Loaded symbols for /usr/local/lib/ardour3/libpbd.so.4
Reading symbols from /usr/local/lib/ardour3/libmidipp.so.4...done.
Loaded symbols for /usr/local/lib/ardour3/libmidipp.so.4
Reading symbols from /usr/local/lib/ardour3/libtaglib.so.0...done.
Loaded symbols for /usr/local/lib/ardour3/libtaglib.so.0
Reading symbols from /usr/local/lib/ardour3/libardour.so.3...done.
Loaded symbols for /usr/local/lib/ardour3/libardour.so.3
Reading symbols from /usr/local/lib/ardour3/libardourcp.so.4...done.
Loaded symbols for /usr/local/lib/ardour3/libardourcp.so.4
Reading symbols from /usr/local/lib/ardour3/libgtkmm2ext.so.0...done.
Loaded symbols for /usr/local/lib/ardour3/libgtkmm2ext.so.0
Reading symbols from /usr/local/lib/ardour3/libgnomecanvas-2.so.0...done.
Loaded symbols for /usr/local/lib/ardour3/libgnomecanvas-2.so.0
Reading symbols from /usr/local/lib/ardour3/libevoral.so.0...done.
Loaded symbols for /usr/local/lib/ardour3/libevoral.so.0
Reading symbols from /usr/local/lib/ardour3/libtimecode.so.0...done.
Loaded symbols for /usr/local/lib/ardour3/libtimecode.so.0
Reading symbols from /usr/local/lib/ardour3/libvamphost.so.0...done.
Loaded symbols for /usr/local/lib/ardour3/libvamphost.so.0
Reading symbols from /usr/local/lib/ardour3/libvampplugin.so.0...done.
Loaded symbols for /usr/local/lib/ardour3/libvampplugin.so.0
Reading symbols from /usr/local/lib/ardour3/librubberband.so.4...done.
Loaded symbols for /usr/local/lib/ardour3/librubberband.so.4
Reading symbols from /usr/local/lib/ardour3/libaudiographer.so.0...done.
Loaded symbols for /usr/local/lib/ardour3/libaudiographer.so.0
Reading symbols from /usr/local/lib/ardour3/libsmf.so...done.
Loaded symbols for /usr/local/lib/ardour3/libsmf.so
Reading symbols from /usr/lib/libart_lgpl_2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libart_lgpl_2.so.2
Reading symbols from /usr/local/lib/liblilv-0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/liblilv-0.so.0
Reading symbols from /usr/lib/liblrdf.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/liblrdf.so.0
Reading symbols from /usr/lib/libsamplerate.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsamplerate.so.0
Reading symbols from /usr/local/lib/libaubio.so.2...done.
Loaded symbols for /usr/local/lib/libaubio.so.2
Reading symbols from /usr/lib/libfftw3.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libfftw3.so.3
Reading symbols from /usr/lib/libfftw3f.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libfftw3f.so.3
Reading symbols from /usr/local/lib/libjack.so.0...done.
Loaded symbols for /usr/local/lib/libjack.so.0
Reading symbols from /lib/tls/i686/cmov/libpthread.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/libpthread.so.0
Reading symbols from /lib/tls/i686/cmov/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/librt.so.1
Reading symbols from /lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libsndfile.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsndfile.so.1
Reading symbols from /usr/lib/libxml2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /usr/lib/libsigc-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsigc-2.0.so.0
Reading symbols from /lib/libuuid.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libuuid.so.1
Reading symbols from /usr/lib/libFLAC.so.8...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libFLAC.so.8
Reading symbols from /usr/lib/libglibmm-2.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libglibmm-2.4.so.1
Reading symbols from /usr/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libgthread-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgthread-2.0.so.0
Reading symbols from /usr/lib/libgtk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgtk-x11-2.0.so.0
Reading symbols from /usr/lib/libgdk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgdk-x11-2.0.so.0
Reading symbols from /usr/lib/libatk-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libatk-1.0.so.0
Reading symbols from /usr/lib/libgio-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgio-2.0.so.0
Reading symbols from /usr/lib/libpangoft2-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpangoft2-1.0.so.0
Reading symbols from /usr/lib/libgdk_pixbuf-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/lib/libpangocairo-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpangocairo-1.0.so.0
Reading symbols from /usr/lib/libcairo.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libcairo.so.2
Reading symbols from /usr/lib/libpango-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpango-1.0.so.0
Reading symbols from /usr/lib/libfreetype.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /usr/lib/libfontconfig.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libfontconfig.so.1
Reading symbols from /usr/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /usr/lib/libogg.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libogg.so.0
Reading symbols from /usr/lib/libasound.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libasound.so.2
Reading symbols from /usr/lib/libgtkmm-2.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgtkmm-2.4.so.1
Reading symbols from /usr/lib/libatkmm-1.6.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libatkmm-1.6.so.1
Reading symbols from /usr/lib/libgdkmm-2.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgdkmm-2.4.so.1
Reading symbols from /usr/lib/libgiomm-2.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgiomm-2.4.so.1
Reading symbols from /usr/lib/libpangomm-1.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpangomm-1.4.so.1
Reading symbols from /usr/lib/libcairomm-1.0.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libcairomm-1.0.so.1
Reading symbols from /usr/lib/libgnomecanvasmm-2.6.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgnomecanvasmm-2.6.so.1
Reading symbols from /usr/local/lib/libsuil-0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libsuil-0.so.0
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/tls/i686/cmov/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/libm.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/tls/i686/cmov/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/libc.so.6
Reading symbols from /usr/lib/libidn.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libidn.so.11
Reading symbols from /usr/lib/liblber-2.4.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/liblber-2.4.so.2
Reading symbols from /usr/lib/libldap_r-2.4.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libldap_r-2.4.so.2
Reading symbols from /usr/lib/libgssapi_krb5.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /usr/lib/libgnutls.so.26...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgnutls.so.26
Reading symbols from /lib/libgcrypt.so.11...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcrypt.so.11
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /usr/local/lib/libserd-0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libserd-0.so.0
Reading symbols from /usr/local/lib/libsord-0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libsord-0.so.0
Reading symbols from /usr/lib/libraptor.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libraptor.so.1
Reading symbols from /lib/libpcre.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.3
Reading symbols from /usr/lib/libvorbisenc.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libvorbisenc.so.2
Reading symbols from /usr/lib/libvorbis.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libvorbis.so.0
Reading symbols from /usr/lib/libXext.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXext.so.6
Reading symbols from /usr/lib/libXrender.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXrender.so.1
Reading symbols from /usr/lib/libXinerama.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXinerama.so.1
Reading symbols from /usr/lib/libXi.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXi.so.6
Reading symbols from /usr/lib/libXrandr.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXrandr.so.2
Reading symbols from /usr/lib/libXcursor.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXcursor.so.1
Reading symbols from /usr/lib/libX11.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libX11.so.6
Reading symbols from /usr/lib/libXcomposite.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXcomposite.so.1
Reading symbols from /usr/lib/libXdamage.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXdamage.so.1
Reading symbols from /usr/lib/libXfixes.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXfixes.so.3
Reading symbols from /lib/tls/i686/cmov/libresolv.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/libresolv.so.2
Reading symbols from /lib/libselinux.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /usr/lib/libpixman-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpixman-1.so.0
Reading symbols from /usr/lib/libdirectfb-1.2.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libdirectfb-1.2.so.0
Reading symbols from /usr/lib/libfusion-1.2.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libfusion-1.2.so.0
Reading symbols from /usr/lib/libdirect-1.2.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libdirect-1.2.so.0
Reading symbols from /lib/libpng12.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpng12.so.0
Reading symbols from /usr/lib/libxcb-render-util.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxcb-render-util.so.0
Reading symbols from /usr/lib/libxcb-render.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxcb-render.so.0
Reading symbols from /usr/lib/libxcb.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxcb.so.1
Reading symbols from /lib/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libexpat.so.1
Reading symbols from /usr/lib/libsasl2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsasl2.so.2
Reading symbols from /usr/lib/libkrb5.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /usr/lib/libk5crypto.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /lib/libcom_err.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /usr/lib/libkrb5support.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libkrb5support.so.0
Reading symbols from /lib/libkeyutils.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libkeyutils.so.1
Reading symbols from /usr/lib/libtasn1.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libtasn1.so.3
Reading symbols from /lib/libgpg-error.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libgpg-error.so.0
Reading symbols from /usr/lib/libxslt.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxslt.so.1
Reading symbols from /usr/lib/libXau.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXau.so.6
Reading symbols from /usr/lib/libXdmcp.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXdmcp.so.6
Reading symbols from /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
Reading symbols from /usr/lib/libcanberra-gtk.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libcanberra-gtk.so.0
Reading symbols from /usr/lib/libcanberra.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libcanberra.so.0
Reading symbols from /usr/lib/libvorbisfile.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libvorbisfile.so.3
Reading symbols from /usr/lib/libtdb.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libtdb.so.1
Reading symbols from /usr/lib/libltdl.so.7...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libltdl.so.7
Reading symbols from /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-basic-fc.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
Reading symbols from /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so
Reading symbols from /usr/lib/libibus.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libibus.so.1
Reading symbols from /lib/libdbus-1.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libdbus-1.so.3
Reading symbols from /usr/lib/gio/modules/libgioremote-volume-monitor.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gio/modules/libgioremote-volume-monitor.so
Reading symbols from /usr/lib/libgvfscommon.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgvfscommon.so.0
Reading symbols from /usr/lib/gio/modules/libgvfsdbus.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gio/modules/libgvfsdbus.so
Reading symbols from /lib/libudev.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libudev.so.0
Reading symbols from /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
Reading symbols from /usr/local/lib/ardour3/panners/libpan1in2out.so...done.
Loaded symbols for /usr/local/lib/ardour3/panners/libpan1in2out.so
Reading symbols from /usr/local/lib/ardour3/panners/libpan2in2out.so...done.
Loaded symbols for /usr/local/lib/ardour3/panners/libpan2in2out.so
Reading symbols from /usr/local/lib/ardour3/panners/libpanvbap.so...done.
Loaded symbols for /usr/local/lib/ardour3/panners/libpanvbap.so
Reading symbols from /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
Reading symbols from /usr/lib/libcanberra-0.22/libcanberra-alsa.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libcanberra-0.22/libcanberra-alsa.so
Reading symbols from /usr/local/lib/ladspa/tap_tremolo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_tremolo.so
Reading symbols from /usr/local/lib/ladspa/tap_eq.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_eq.so
Reading symbols from /usr/local/lib/ladspa/tap_autopan.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_autopan.so
Reading symbols from /usr/local/lib/ladspa/tap_pitch.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_pitch.so
Reading symbols from /usr/local/lib/ladspa/tap_limiter.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_limiter.so
Reading symbols from /usr/local/lib/ladspa/tap_rotspeak.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_rotspeak.so
Reading symbols from /usr/local/lib/ladspa/tap_dynamics_m.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_dynamics_m.so
Reading symbols from /usr/local/lib/ladspa/tap_vibrato.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_vibrato.so
Reading symbols from /usr/local/lib/ladspa/tap_doubler.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_doubler.so
Reading symbols from /usr/local/lib/ladspa/tap_echo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_echo.so
Reading symbols from /usr/local/lib/ladspa/tap_reflector.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_reflector.so
Reading symbols from /usr/local/lib/ladspa/bs2b.so...done.
Loaded symbols for /usr/local/lib/ladspa/bs2b.so
Reading symbols from /usr/local/lib/libbs2b.so.0...done.
Loaded symbols for /usr/local/lib/libbs2b.so.0
Reading symbols from /usr/local/lib/ladspa/tap_pinknoise.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_pinknoise.so
Reading symbols from /usr/local/lib/ladspa/tap_sigmoid.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_sigmoid.so
Reading symbols from /usr/local/lib/ladspa/tap_eqbw.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_eqbw.so
Reading symbols from /usr/local/lib/ladspa/tap_dynamics_st.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_dynamics_st.so
Reading symbols from /usr/local/lib/ladspa/tap_tubewarmth.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_tubewarmth.so
Reading symbols from /usr/local/lib/ladspa/tap_chorusflanger.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_chorusflanger.so
Reading symbols from /usr/local/lib/ladspa/tap_reverb.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_reverb.so
Reading symbols from /usr/local/lib/ladspa/tap_deesser.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/ladspa/tap_deesser.so
Reading symbols from /usr/lib/ladspa/alias_1407.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/alias_1407.so
Reading symbols from /usr/lib/ladspa/gong_beater_1439.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/gong_beater_1439.so
Reading symbols from /usr/lib/ladspa/tape_delay_1211.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/tape_delay_1211.so
Reading symbols from /usr/lib/ladspa/declip_1195.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/declip_1195.so
Reading symbols from /usr/lib/ladspa/crossover_dist_1404.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/crossover_dist_1404.so
Reading symbols from /usr/lib/ladspa/sinus_wavewrapper_1198.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/sinus_wavewrapper_1198.so
Reading symbols from /usr/lib/ladspa/svf_1214.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/svf_1214.so
Reading symbols from /usr/lib/ladspa/bode_shifter_cv_1432.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/bode_shifter_cv_1432.so
Reading symbols from /usr/lib/ladspa/highpass_iir_1890.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/highpass_iir_1890.so
Reading symbols from /usr/lib/ladspa/se4_1883.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/se4_1883.so
Reading symbols from /usr/lib/ladspa/sc3_1427.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/sc3_1427.so
Reading symbols from /usr/lib/ladspa/karaoke_1409.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/karaoke_1409.so
Reading symbols from /usr/lib/ladspa/analogue_osc_1416.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/analogue_osc_1416.so
Reading symbols from /usr/lib/ladspa/delayorama_1402.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/delayorama_1402.so
Reading symbols from /usr/lib/ladspa/bandpass_a_iir_1893.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/bandpass_a_iir_1893.so
Reading symbols from /usr/lib/ladspa/allpass_1895.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/allpass_1895.so
Reading symbols from /usr/lib/ladspa/lowpass_iir_1891.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/lowpass_iir_1891.so
Reading symbols from /usr/lib/ladspa/smooth_decimate_1414.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/smooth_decimate_1414.so
Reading symbols from /usr/lib/ladspa/divider_1186.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/divider_1186.so
Reading symbols from /usr/lib/ladspa/phasers_1217.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/phasers_1217.so
Reading symbols from /usr/lib/ladspa/imp_1199.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/imp_1199.so
Reading symbols from /usr/lib/ladspa/fm_osc_1415.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/fm_osc_1415.so
Reading symbols from /usr/lib/ladspa/fad_delay_1192.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/fad_delay_1192.so
Reading symbols from /usr/lib/ladspa/matrix_st_ms_1420.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/matrix_st_ms_1420.so
Reading symbols from /usr/lib/ladspa/delay_1898.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/delay_1898.so
Reading symbols from /usr/lib/ladspa/dyson_compress_1403.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/dyson_compress_1403.so
Reading symbols from /usr/lib/ladspa/amp.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/amp.so
Reading symbols from /usr/lib/ladspa/bandpass_iir_1892.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/bandpass_iir_1892.so
Reading symbols from /usr/lib/ladspa/triple_para_1204.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/triple_para_1204.so
Reading symbols from /usr/lib/ladspa/sifter_1210.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/sifter_1210.so
Reading symbols from /usr/lib/ladspa/surround_encoder_1401.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/surround_encoder_1401.so
Reading symbols from /usr/lib/ladspa/bode_shifter_1431.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/bode_shifter_1431.so
Reading symbols from /usr/lib/ladspa/vynil_1905.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/vynil_1905.so
Reading symbols from /usr/lib/ladspa/plate_1423.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/plate_1423.so
Reading symbols from /usr/lib/ladspa/noise.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/noise.so
Reading symbols from /usr/lib/ladspa/sc1_1425.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/sc1_1425.so
Reading symbols from /usr/lib/ladspa/mod_delay_1419.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/mod_delay_1419.so
Reading symbols from /usr/lib/ladspa/am_pitchshift_1433.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/am_pitchshift_1433.so
Reading symbols from /usr/lib/ladspa/dj_flanger_1438.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/dj_flanger_1438.so
Reading symbols from /usr/lib/ladspa/chebstortion_1430.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/chebstortion_1430.so
Reading symbols from /usr/lib/ladspa/harmonic_gen_1220.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/harmonic_gen_1220.so
Reading symbols from /usr/lib/ladspa/amp_1181.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/amp_1181.so
Reading symbols from /usr/lib/ladspa/revdelay_1605.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/revdelay_1605.so
Reading symbols from /usr/lib/ladspa/matrix_ms_st_1421.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/matrix_ms_st_1421.so
Reading symbols from /usr/lib/ladspa/sc2_1426.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/sc2_1426.so
Reading symbols from /usr/lib/ladspa/fast_lookahead_limiter_1913.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/fast_lookahead_limiter_1913.so
Reading symbols from /usr/lib/ladspa/sc4_1882.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/sc4_1882.so
Reading symbols from /usr/lib/ladspa/giant_flange_1437.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/giant_flange_1437.so
Reading symbols from /usr/lib/ladspa/decimator_1202.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/decimator_1202.so
Reading symbols from /usr/lib/ladspa/pitch_scale_1194.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/pitch_scale_1194.so
Reading symbols from /usr/lib/ladspa/foverdrive_1196.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/foverdrive_1196.so
Reading symbols from /usr/lib/ladspa/dc_remove_1207.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/dc_remove_1207.so
Reading symbols from /usr/lib/ladspa/filter.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/filter.so
Reading symbols from /usr/lib/ladspa/sine.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/sine.so
Reading symbols from /usr/lib/ladspa/ringmod_1188.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/ringmod_1188.so
Reading symbols from /usr/lib/ladspa/butterworth_1902.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/butterworth_1902.so
Reading symbols from /usr/lib/ladspa/diode_1185.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/diode_1185.so
Reading symbols from /usr/lib/ladspa/comb_1887.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/comb_1887.so
Reading symbols from /usr/lib/ladspa/inv_1429.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/inv_1429.so
Reading symbols from /usr/lib/ladspa/hilbert_1440.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/hilbert_1440.so
Reading symbols from /usr/lib/ladspa/impulse_1885.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/impulse_1885.so
Reading symbols from /usr/lib/ladspa/pitch_scale_1193.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/pitch_scale_1193.so
Reading symbols from /usr/lib/ladspa/sc4m_1916.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/sc4m_1916.so
Reading symbols from /usr/lib/ladspa/gverb_1216.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/gverb_1216.so
Reading symbols from /usr/lib/ladspa/delay.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/delay.so
Reading symbols from /usr/lib/ladspa/valve_rect_1405.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/valve_rect_1405.so
Reading symbols from /usr/lib/ladspa/ls_filter_1908.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/ls_filter_1908.so
Reading symbols from /usr/lib/ladspa/wave_terrain_1412.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/wave_terrain_1412.so
Reading symbols from /usr/lib/ladspa/hermes_filter_1200.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/hermes_filter_1200.so
Reading symbols from /usr/lib/ladspa/gong_1424.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/gong_1424.so
Reading symbols from /usr/lib/ladspa/hard_limiter_1413.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/hard_limiter_1413.so
Reading symbols from /usr/lib/ladspa/sin_cos_1881.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/sin_cos_1881.so
Reading symbols from /usr/lib/ladspa/shaper_1187.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/shaper_1187.so
Reading symbols from /usr/lib/ladspa/mbeq_1197.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/mbeq_1197.so
Reading symbols from /usr/lib/ladspa/valve_1209.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/valve_1209.so
Reading symbols from /usr/lib/ladspa/matrix_spatialiser_1422.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/matrix_spatialiser_1422.so
Reading symbols from /usr/lib/ladspa/gate_1410.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/gate_1410.so
Reading symbols from /usr/lib/ladspa/xfade_1915.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/xfade_1915.so
Reading symbols from /usr/lib/ladspa/lcr_delay_1436.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/lcr_delay_1436.so
Reading symbols from /usr/lib/ladspa/latency_1914.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/latency_1914.so
Reading symbols from /usr/lib/ladspa/retro_flange_1208.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/retro_flange_1208.so
Reading symbols from /usr/lib/ladspa/freq_tracker_1418.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/freq_tracker_1418.so
Reading symbols from /usr/lib/ladspa/multivoice_chorus_1201.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/multivoice_chorus_1201.so
Reading symbols from /usr/lib/ladspa/notch_iir_1894.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/notch_iir_1894.so
Reading symbols from /usr/lib/ladspa/single_para_1203.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/single_para_1203.so
Reading symbols from /usr/lib/ladspa/transient_1206.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/transient_1206.so
Reading symbols from /usr/lib/ladspa/comb_splitter_1411.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/comb_splitter_1411.so
Reading symbols from /usr/lib/ladspa/step_muxer_1212.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/step_muxer_1212.so
Reading symbols from /usr/lib/ladspa/rate_shifter_1417.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/rate_shifter_1417.so
Reading symbols from /usr/lib/ladspa/satan_maximiser_1408.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/satan_maximiser_1408.so
Reading symbols from /usr/lib/ladspa/split_1406.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/split_1406.so
Reading symbols from /usr/lib/ladspa/foldover_1213.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/foldover_1213.so
Reading symbols from /usr/lib/ladspa/pointer_cast_1910.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/pointer_cast_1910.so
Reading symbols from /usr/lib/ladspa/dj_eq_1901.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/dj_eq_1901.so
Reading symbols from /usr/lib/ladspa/decay_1886.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/decay_1886.so
Reading symbols from /usr/lib/ladspa/const_1909.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/const_1909.so
Reading symbols from /usr/lib/ladspa/gsm_1215.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/gsm_1215.so
Reading symbols from /usr/lib/ladspa/comb_1190.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/comb_1190.so
Reading symbols from /usr/lib/ladspa/zm1_1428.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/zm1_1428.so
Reading symbols from /usr/lib/ladspa/flanger_1191.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ladspa/flanger_1191.so
Reading symbols from /usr/local/lib/lv2/linuxsampler.lv2/linuxsampler.so...done.
Loaded symbols for /usr/local/lib/lv2/linuxsampler.lv2/linuxsampler.so
Reading symbols from /usr/local/lib/linuxsampler/liblinuxsampler.so.3...done.
Loaded symbols for /usr/local/lib/linuxsampler/liblinuxsampler.so.3
Reading symbols from /usr/lib/libsqlite3.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsqlite3.so.0
Reading symbols from /usr/local/lib/libgig.so.6...done.
Loaded symbols for /usr/local/lib/libgig.so.6
Reading symbols from /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
Reading symbols from /usr/lib/librsvg-2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librsvg-2.so.2
Reading symbols from /usr/lib/libgsf-1.so.114...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgsf-1.so.114
Reading symbols from /usr/lib/libcroco-0.6.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libcroco-0.6.so.3
Reading symbols from /lib/libbz2.so.1.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libbz2.so.1.0
Reading symbols from /usr/lib/lv2/ir.lv2/ir.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/lv2/ir.lv2/ir.so
Reading symbols from /usr/local/lib/libzita-convolver.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libzita-convolver.so.2
Reading symbols from /usr/lib/lv2/ir.lv2/ir_gui.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/lv2/ir.lv2/ir_gui.so
Core was generated by `/usr/local/lib/ardour3/ardour-3.0'.
Program terminated with signal 11, Segmentation fault.
#0  0x02b3d198 in ?? () from /lib/tls/i686/cmov/libc.so.6
(gdb) thread apply all bt

Thread 15 (Thread 11698):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x02b61ce6 in nanosleep () from /lib/tls/i686/cmov/libc.so.6
#2  0x02b9144c in usleep () from /lib/tls/i686/cmov/libc.so.6
#3  0x03334529 in LinuxSampler::DiskThreadBase<gig::DimensionRegion, LinuxSampler::gig::InstrumentResourceManager>::Main (this=0xb2c64f98) at ../common/DiskThreadBase.h:515
#4  0x0341efee in __pthread_launcher (thread=0xb2c64f98) at Thread.cpp:398
#5  0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 11689):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x02b90971 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x032fdddc in LinuxSampler::LSCPServer::Main (this=0xb2c37168) at lscpserver.cpp:534
#3  0x0341efee in __pthread_launcher (thread=0xb2c37168) at Thread.cpp:398
#4  0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 11699):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x00b15736 in nanosleep () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x050eca62 in g_usleep () from /lib/libglib-2.0.so.0
#3  0x04d602ad in Glib::usleep(unsigned long) () from /usr/lib/libglibmm-2.4.so.1
#4  0x017b2b20 in ARDOUR::AudioEngine::meter_thread (this=0xa089bb0) at ../libs/ardour/audioengine.cc:710
#5  0x017d47d1 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const () from /usr/local/lib/ardour3/libardour.so.3
#6  0x017cf978 in void boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) () from /usr/local/lib/ardour3/libardour.so.3
#7  0x017cae18 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() ()
   from /usr/local/lib/ardour3/libardour.so.3
#8  0x017c5b63 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const () from /usr/local/lib/ardour3/libardour.so.3
#9  0x017c14bb in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) () from /usr/local/lib/ardour3/libardour.so.3
#10 0x04d53eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
#11 0x050e9def in ?? () from /lib/libglib-2.0.so.0
#12 0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#13 0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

   Thread 12 (Thread 11687):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x02b89b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x01834996 in ARDOUR::Butler::thread_work (this=0xb3303a40) at ../libs/ardour/butler.cc:159
#3  0x01834904 in ARDOUR::Butler::_thread_work (arg=0xb3303a40) at ../libs/ardour/butler.cc:140
#4  0x005771cc in fake_thread_start (arg=0xb3319080) at ../libs/pbd/pthread_utils.cc:81
#5  0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

   Thread 11 (Thread 11671):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x00b12015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x04d533a8 in Glib::Cond::wait(Glib::Mutex&) () from /usr/lib/libglibmm-2.4.so.1
#3  0x01c16c61 in peak_thread_work () at ../libs/ardour/source_factory.cc:73
#4  0x0914c6fd in sigc::pointer_functor0<void>::operator()() const ()
#5  0x0914a030 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const ()
#6  0x091470de in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) ()
#7  0x04d53eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
#8  0x050e9def in ?? () from /lib/libglib-2.0.so.0
#9  0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

   Thread 10 (Thread 11681):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x00b12015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
   ---Type <return> to continue, or q <return> to quit---
#2  0x00af5e94 in mb_thread_func (arg=0x0) at messagebuffer.c:72
#3  0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

   Thread 9 (Thread 11690):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x02b61ce6 in nanosleep () from /lib/tls/i686/cmov/libc.so.6
#2  0x02b61b10 in sleep () from /lib/tls/i686/cmov/libc.so.6
#3  0x033c542c in LinuxSampler::EventThread::Main (this=0xb2c37c20) at Plugin.cpp:91
#4  0x0341efee in __pthread_launcher (thread=0xb2c37c20) at Thread.cpp:398
#5  0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

   Thread 8 (Thread 11675):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x00b12342 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00b280ce in ?? () from /usr/lib/libgthread-2.0.so.0
#3  0x05099bbc in ?? () from /lib/libglib-2.0.so.0
#4  0x05099ced in g_async_queue_timed_pop () from /lib/libglib-2.0.so.0
#5  0x050ebc6f in ?? () from /lib/libglib-2.0.so.0
#6  0x050e9def in ?? () from /lib/libglib-2.0.so.0
#7  0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

   Thread 7 (Thread 11672):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x00b12015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x04d533a8 in Glib::Cond::wait(Glib::Mutex&) () from /usr/lib/libglibmm-2.4.so.1
#3  0x01c16c61 in peak_thread_work () at ../libs/ardour/source_factory.cc:73
#4  0x0914c6fd in sigc::pointer_functor0<void>::operator()() const ()
#5  0x0914a030 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const ()
#6  0x091470de in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) ()
#7  0x04d53eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
#8  0x050e9def in ?? () from /lib/libglib-2.0.so.0
#9  0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

   Thread 6 (Thread 11673):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x00b12015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x04d533a8 in Glib::Cond::wait(Glib::Mutex&) () from /usr/lib/libglibmm-2.4.so.1
#3  0x0173dd7b in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:85
#4  0x0173dab6 in analyser_work () at ../libs/ardour/analyser.cc:49
#5  0x0914c6fd in sigc::pointer_functor0<void>::operator()() const ()
#6  0x0914a030 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const ()
#7  0x091470de in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) ()
#8  0x04d53eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
#9  0x050e9def in ?? () from /lib/libglib-2.0.so.0
#10 0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

   Thread 5 (Thread 11686):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x00b14245 in sem_wait@@GLIBC_2.1 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01922837 in PBD::ProcessSemaphore::wait() () from /usr/local/lib/ardour3/libardour.so.3
#3  0x0192096c in ARDOUR::Graph::run_one (this=0xb3304470) at ../libs/ardour/graph.cc:393
#4  0x01920d15 in ARDOUR::Graph::helper_thread (this=0xb3304470) at ../libs/ardour/graph.cc:443
#5  0x019269d1 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () from /usr/local/lib/ardour3/libardour.so.3
#6  0x01926476 in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) () from /usr/local/lib/ardour3/libardour.so.3
#7  0x01926042 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() ()
      from /usr/local/lib/ardour3/libardour.so.3
#8  0x01925b9e in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::G---Type <return> to continue, or q <return> to quit---
      raph*> > >, void>::invoke(boost::detail::function::function_buffer&) () from /usr/local/lib/ardour3/libardour.so.3
#9  0x08b9e41b in boost::function0<void>::operator() (this=0xb328513c) at /usr/include/boost/function/function_template.hpp:1013
#10 0x017b5bbb in ARDOUR::AudioEngine::_start_process_thread (arg=0xb330c7d0) at ../libs/ardour/audioengine.cc:1519
#11 0x00af94f9 in jack_thread_proxy (varg=0xb330c7f0) at thread.c:127
#12 0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#13 0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

      Thread 4 (Thread 11685):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x00b14245 in sem_wait@@GLIBC_2.1 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01922837 in PBD::ProcessSemaphore::wait() () from /usr/local/lib/ardour3/libardour.so.3
#3  0x0191fb7b in ARDOUR::Graph::restart_cycle (this=0xb3304470) at ../libs/ardour/graph.cc:257
#4  0x0191fb41 in ARDOUR::Graph::dec_ref (this=0xb3304470) at ../libs/ardour/graph.cc:244
#5  0x01927462 in ARDOUR::GraphNode::finish (this=0xb3324744, chain=0) at ../libs/ardour/graphnode.cc:61
#6  0x01920b0c in ARDOUR::Graph::run_one (this=0xb3304470) at ../libs/ardour/graph.cc:407
#7  0x0192102d in ARDOUR::Graph::main_thread (this=0xb3304470) at ../libs/ardour/graph.cc:479
#8  0x019269d1 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () from /usr/local/lib/ardour3/libardour.so.3
#9  0x01926476 in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) () from /usr/local/lib/ardour3/libardour.so.3
#10 0x01926042 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() ()
         from /usr/local/lib/ardour3/libardour.so.3
#11 0x01925b9e in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) () from /usr/local/lib/ardour3/libardour.so.3
#12 0x08b9e41b in boost::function0<void>::operator() (this=0xb341e13c) at /usr/include/boost/function/function_template.hpp:1013
#13 0x017b5bbb in ARDOUR::AudioEngine::_start_process_thread (arg=0xb330c6e0) at ../libs/ardour/audioengine.cc:1519
#14 0x00af94f9 in jack_thread_proxy (varg=0xb330c700) at thread.c:127
#15 0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

         Thread 3 (Thread 11688):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x02b89b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x050d04eb in g_poll () from /lib/libglib-2.0.so.0
#3  0x050c30ac in ?? () from /lib/libglib-2.0.so.0
#4  0x050c3817 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0x04d594b5 in Glib::MainLoop::run() () from /usr/lib/libglibmm-2.4.so.1
#6  0x00541ded in BaseUI::main_thread (this=0xb331fff8) at ../libs/pbd/base_ui.cc:77
#7  0x005431c2 in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0xb331fefc) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#8  0x00543032 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0xb331fef8) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#9  0x00542da2 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0xb331fee0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#10 0x04d53eb2 in ?? () from /usr/lib/libglibmm-2.4.so.1
#11 0x050e9def in ?? () from /lib/libglib-2.0.so.0
#12 0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#13 0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

         Thread 2 (Thread 11684):
#0  0x0011f422 in __kernel_vsyscall ()
#1  0x02b89b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x00af3cba in jack_client_core_wait (client=0xa08b1c0) at client.c:1839
#3  0x00af4042 in jack_cycle_wait (client=0xa08b1c0) at client.c:2036
#4  0x017b1de3 in ARDOUR::AudioEngine::process_thread (this=0xa089bb0) at ../libs/ardour/audioengine.cc:456
#5  0x017b1a29 in ARDOUR::AudioEngine::_process_thread (arg=0xa089bb0) at ../libs/ardour/audioengine.cc:371
#6  0x00af4341 in jack_client_thread (arg=0xa08b1c0) at client.c:2161
#7  0x00af94f9 in jack_thread_proxy (varg=0xa608ed8) at thread.c:127
#8  0x00b0d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#9  0x02b97a4e in clone () from /lib/tls/i686/cmov/libc.so.6

         Thread 1 (Thread 11656):
#0  0x02b3d198 in ?? () from /lib/tls/i686/cmov/libc.so.6
#1  0x050e4834 in g_str_equal () from /lib/libglib-2.0.so.0
#2  0x050b056a in g_hash_table_lookup () from /lib/libglib-2.0.so.0
#3  0x050a9bf7 in g_intern_static_string () from /lib/libglib-2.0.so.0
#4  0x0351ccaa in ir_wavedisplay_get_type () from /usr/lib/lv2/ir.lv2/ir_gui.so
         ---Type <return> to continue, or q <return> to quit---
#5  0x0351cd2b in ir_wavedisplay_new () from /usr/lib/lv2/ir.lv2/ir_gui.so
#6  0x03519131 in make_gui_proper(control*) () from /usr/lib/lv2/ir.lv2/ir_gui.so
#7  0x03519daf in instantiate(_LV2UI_Descriptor const*, char const*, char const*, void (*)(void*, unsigned int, unsigned int, unsigned int, void const*), void*, void**, _LV2_Feature const* const*) () from /usr/lib/lv2/ir.lv2/ir_gui.so
#8  0x0089ce94 in suil_instance_new () from /usr/local/lib/libsuil-0.so.0
#9  0x09350d0a in LV2PluginUI::lv2ui_instantiate (this=0xa7c2e30, title=...) at ../gtk2_ardour/lv2_plugin_ui.cc:207
#10 0x09351f67 in LV2PluginUI::on_window_show (this=0xa7c2e30, title=...) at ../gtk2_ardour/lv2_plugin_ui.cc:380
#11 0x090d8f53 in PluginUIWindow::on_show (this=0xa7c2438) at ../gtk2_ardour/plugin_ui.cc:220
#12 0x028743f7 in Gtk::Widget_Class::show_callback(_GtkWidget*) () from /usr/lib/libgtkmm-2.4.so.1
#13 0x02413dcc in g_cclosure_marshal_VOID__VOID () from /usr/lib/libgobject-2.0.so.0
#14 0x024048b9 in ?? () from /usr/lib/libgobject-2.0.so.0
#15 0x02406252 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#16 0x0241a23a in ?? () from /usr/lib/libgobject-2.0.so.0
#17 0x0241bdb4 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#18 0x0241c256 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#19 0x0561e502 in gtk_widget_show () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x02868e16 in Gtk::Widget::show_all_vfunc() () from /usr/lib/libgtkmm-2.4.so.1
#21 0x0287455a in Gtk::Widget_Class::show_all_vfunc_callback(_GtkWidget*) () from /usr/lib/libgtkmm-2.4.so.1
#22 0x0561e242 in gtk_widget_show_all () from /usr/lib/libgtk-x11-2.0.so.0
#23 0x02871f36 in Gtk::Widget::show_all() () from /usr/lib/libgtkmm-2.4.so.1
#24 0x0913368e in ProcessorBox::toggle_edit_processor (this=0xa63eb38, processor=...) at ../gtk2_ardour/processor_box.cc:1923
#25 0x0912c3e2 in ProcessorBox::processor_button_press_event (this=0xa63eb38, ev=0xaceb8598, child=0xace9dbb8) at ../gtk2_ardour/processor_box.cc:800
#26 0x0914adf6 in sigc::bound_mem_functor2<bool, ProcessorBox, _GdkEventButton*, ProcessorEntry*>::operator()(_GdkEventButton* const&, ProcessorEntry* const&) const ()
#27 0x0914873a in sigc::adaptor_functor<sigc::bound_mem_functor2<bool, ProcessorBox, _GdkEventButton*, ProcessorEntry*> >::deduce_result_type<_GdkEventButton* const&, ProcessorEntry* const&, void, void, void, void, void>::type sigc::adaptor_functor<sigc::bound_mem_functor2<bool, ProcessorBox, _GdkEventButton*, ProcessorEntry*> >::operator()<_GdkEventButton* const&, ProcessorEntry* const&>(_GdkEventButton* const&, ProcessorEntry* const&) const ()
#28 0x09145594 in sigc::internal::slot_call2<sigc::bound_mem_functor2<bool, ProcessorBox, _GdkEventButton*, ProcessorEntry*>, bool, _GdkEventButton*, ProcessorEntry*>::call_it(sigc::internal::slot_rep*, _GdkEventButton* const&, ProcessorEntry* const&) ()
#29 0x09147992 in sigc::internal::signal_emit2<bool, _GdkEventButton*, ProcessorEntry*, sigc::nil>::emit(sigc::internal::signal_impl*, _GdkEventButton* const&, ProcessorEntry* const&) ()
#30 0x09144b10 in sigc::signal2<bool, _GdkEventButton*, ProcessorEntry*, sigc::nil>::emit(_GdkEventButton* const&, ProcessorEntry* const&) const ()
#31 0x09141c07 in sigc::signal2<bool, _GdkEventButton*, ProcessorEntry*, sigc::nil>::operator()(_GdkEventButton* const&, ProcessorEntry* const&) const ()
#32 0x0913d8c0 in Gtkmm2ext::DnDVBox<ProcessorEntry>::button_press(_GdkEventButton*, ProcessorEntry*) ()
#33 0x0914e664 in sigc::bound_mem_functor2<bool, Gtkmm2ext::DnDVBox<ProcessorEntry>, _GdkEventButton*, ProcessorEntry*>::operator()(_GdkEventButton* const&, ProcessorEntry* const&) const ()
#34 0x0914ceb2 in sigc::adaptor_functor<sigc::bound_mem_functor2<bool, Gtkmm2ext::DnDVBox<ProcessorEntry>, _GdkEventButton*, ProcessorEntry*> >::deduce_result_type<_GdkEventButton* const&, ProcessorEntry*&, void, void, void, void, void>::type sigc::adaptor_functor<sigc::bound_mem_functor2<bool, Gtkmm2ext::DnDVBox<ProcessorEntry>, _GdkEventButton*, ProcessorEntry*> >::operator()<_GdkEventButton* const&, ProcessorEntry*&>(_GdkEventButton* const&, ProcessorEntry*&) const ()
#35 0x0914a73f in sigc::bind_functor<-1, sigc::bound_mem_functor2<bool, Gtkmm2ext::DnDVBox<ProcessorEntry>, _GdkEventButton*, ProcessorEntry*>, ProcessorEntry*, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::deduce_result_type<_GdkEventButton* const&, void, void, void, void, void, void>::type sigc::bind_functor<-1, sigc::bound_mem_functor2<bool, Gtkmm2ext::DnDVBox<ProcessorEntry>, _GdkEventButton*, ProcessorEntry*>, ProcessorEntry*, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()<_GdkEventButton* const&>(_GdkEventButton* const&) ()
#36 0x09147c45 in sigc::internal::slot_call1<sigc::bind_functor<-1, sigc::bound_mem_functor2<bool, Gtkmm2ext::DnDVBox<ProcessorEntry>, _GdkEventButton*, ProcessorEntry*>, ProcessorEntry*, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, bool, _GdkEventButton*>::call_it(sigc::internal::slot_rep*, _GdkEventButton* const&) ()
#37 0x0286cc32 in ?? () from /usr/lib/libgtkmm-2.4.so.1
#38 0x054e9424 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x02406252 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#40 0x0241ad90 in ?? () from /usr/lib/libgobject-2.0.so.0
#41 0x0241bc33 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#42 0x0241c256 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#43 0x05616636 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#44 0x054e1a5d in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#45 0x054e30c7 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#46 0x0249039a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#47 0x050bf5e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#48 0x050c32d8 in ?? () from /lib/libglib-2.0.so.0
#49 0x050c3817 in g_main_loop_run () from /lib/libglib-2.0.so.0
#50 0x054e33c9 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#51 0x027e33a7 in Gtk::Main::run_impl() () from /usr/lib/libgtkmm-2.4.so.1
#52 0x027e31a2 in Gtk::Main::run() () from /usr/lib/libgtkmm-2.4.so.1
#53 0x009dfa91 in Gtkmm2ext::UI::run (this=0x9d99908, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:268
#54 0x08fabf21 in main (argc=1, argv=0xbfe54624) at ../gtk2_ardour/main.cc:557
(gdb) 

backtrace (57,577 bytes)

paul

2011-07-06 20:50

administrator   ~0010980

fixed by a compile/link-time fix to IR to make the plugin capable of being loaded/unloaded.

Issue History

Date Modified Username Field Change
2011-06-13 00:32 thefoxbox New Issue
2011-06-13 00:33 thefoxbox Note Added: 0010871
2011-06-13 04:35 thefoxbox Note Added: 0010872
2011-06-14 22:47 paul Note Added: 0010884
2011-06-14 23:08 cth103 cost => 0.00
2011-06-14 23:08 cth103 Target Version => 3.0-beta1
2011-06-15 02:42 thefoxbox Note Added: 0010888
2011-06-15 02:43 thefoxbox Note Added: 0010889
2011-06-15 02:45 thefoxbox Note Edited: 0010888
2011-07-05 19:44 thefoxbox Note Added: 0010977
2011-07-05 19:46 thefoxbox Note Edited: 0010977
2011-07-05 20:39 thefoxbox File Added: backtrace
2011-07-06 20:50 paul Note Added: 0010980
2011-07-06 20:50 paul Status new => resolved
2011-07-06 20:50 paul Resolution open => no change required
2011-07-06 20:50 paul Assigned To => paul
2011-07-06 20:50 paul Relationship added has duplicate 0004141